package net.ipksindia.plugins

import io.ktor.server.application.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*
import net.ipksindia.NeftRequestProcessor
import net.ipksindia.model.OutwardNeftRequest

fun Application.configureRouting() {
    routing {
        route("/neftOutward") {
            post {
                val neftRequest = call.receive<OutwardNeftRequest>()
                val transactionNumber = neftRequest.transactionNumber
                val response = NeftRequestProcessor.process(transactionNumber)
                call.respond(response)
            }
        }

    }
}
